/// <reference types="node" />
import { Context } from '../core';
export declare class File {
    readonly source: string;
    readonly context: Context;
    readonly baseName: string;
    readonly fullName: string;
    private constructor();
    require<T>(): T;
    buffer(): Promise<Buffer>;
    text(encoding?: string): Promise<string>;
    json<T>(encoding?: string): Promise<T>;
    assert(exists?: boolean): Promise<void>;
    static cast(name: string, context: Context): File;
}
export declare class Directory {
    readonly source: string;
    readonly context: Context;
    readonly baseName: string;
    readonly fullName: string;
    private constructor();
    assert(exists?: boolean): Promise<void>;
    static cast(name: string, context: Context): Directory;
}
